Jump to content

missing drawing info bar


Recommended Posts

Posted

Not sure what it's called but I have a co worker that has lost the bar at the lower left corner of the window. Where it says "Text:... Dim:.... Scale:....".

I have it on my computer and can't figure out how to get it back on his. Any help would be appreciated. Thank you. I've attached a picture.

Untitled.png

Posted

Try typing "STATUSBAR" on the command line and check its value. It has a range of 0 to 3 and usually 2 is OK. Check the Express Tools System Variable Editor for a full explanation.

Posted
Try typing "STATUSBAR" on the command line and check its value. It has a range of 0 to 3 and usually 2 is OK. Check the Express Tools System Variable Editor for a full explanation.

 

I appreciate the response but that's not it. The status bar is there. What's missing is the text info to the left of the coordinates.

Posted

The coords will show with the status bar but the other info is a customization and not standard in AutoCAD.

Posted
I appreciate the response but that's not it. The status bar is there. What's missing is the text info to the left of the coordinates.

 

(setvar 'modemacro "Here's your missing text!")

... More on the MODEMACRO System Variable.

 

HTH

Posted

... From the image you posted in the OP, just add to your startup:

 

(setvar 'modemacro
       (strcat "Text: "
               (getvar 'textstyle)
               "   Dim: "
               (getvar 'dimstyle)
               "   Scale: "
               (rtos (getvar 'dimscale))
       )
)

Posted

**NOTE - You will require this to be updated any time you change a listed System Variable, or you change Documents. I recommend you use a Visual LISP DocManager Reactor, and a SysVar Reactor.

 

If coding Visual LISP Reactors is not your proficiency, then consider this simple LISP Command; just run it manually when you change a displayed setting, or document:

 

(defun c:INFO ()
  (setvar 'modemacro
          (strcat "Text: "
                  (getvar 'textstyle)
                  "   Dim: "
                  (getvar 'dimstyle)
                  "   Scale: "
                  (rtos (getvar 'dimscale))
          )
  )
  (princ)
)

Posted

Thanks guys. I think the easiest way for us would be to use the lisp command. Thanks for the help RenderMan

Posted
Thanks guys. I think the easiest way for us would be to use the lisp command. Thanks for the help RenderMan

 

You're welcome, lopezpm; Happy to help. :beer:

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...